org.apache.http.impl.auth

## Class RFC2617Scheme

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.RFC2617Scheme

- All Implemented Interfaces:
    Serializable, AuthScheme, ContextAwareAuthScheme
  Direct Known Subclasses:
    BasicScheme, DigestScheme

      public abstract class RFC2617Scheme
      extends AuthSchemeBase
      implements Serializable

  Abstract authentication scheme class that lays foundation for all RFC 2617 compliant authentication schemes and provides capabilities common to all authentication schemes defined in RFC 2617.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC2617Scheme()`
    `RFC2617Scheme(ChallengeState challengeState)` Deprecated. (4.3) do not use.
    `RFC2617Scheme(Charset credentialsCharset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCredentialsCharset()`
    `String` | `getParameter(String name)` Returns authentication parameter with the given name, if available.
    `protected Map<String,String>` | `getParameters()` Returns authentication parameters map.
    `String` | `getRealm()` Returns authentication realm.
    `protected void` | `parseChallenge(org.apache.http.util.CharArrayBuffer buffer, int pos, int len)`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `authenticate, getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.auth.AuthScheme

      `authenticate, getSchemeName, isComplete, isConnectionBased`

- - ### Constructor Detail

    - #### RFC2617Scheme

          @Deprecated
          public RFC2617Scheme(ChallengeState challengeState)

      Deprecated. (4.3) do not use.
      Creates an instance of `RFC2617Scheme` with the given challenge state.
      Since:
        4.2

    - #### RFC2617Scheme

          public RFC2617Scheme(Charset credentialsCharset)

      Since:
        4.3

    - #### RFC2617Scheme

          public RFC2617Scheme()

  - ### Method Detail

    - #### getCredentialsCharset

          public Charset getCredentialsCharset()

      Since:
        4.3

    - #### parseChallenge

          protected void parseChallenge(org.apache.http.util.CharArrayBuffer buffer,
                            int pos,
                            int len)
                                 throws MalformedChallengeException

      Specified by:
        `parseChallenge` in class `AuthSchemeBase`
      Throws:
        `MalformedChallengeException`

    - #### getParameters

          protected Map<String,String> getParameters()

      Returns authentication parameters map. Keys in the map are lower-cased.
      Returns:
        the map of authentication parameters

    - #### getParameter

          public String getParameter(String name)

      Returns authentication parameter with the given name, if available.
      Specified by:
        `getParameter` in interface `AuthScheme`
      Parameters:
        `name` - The name of the parameter to be returned
      Returns:
        the parameter with the given name

    - #### getRealm

          public String getRealm()

      Returns authentication realm. The realm may not be null.
      Specified by:
        `getRealm` in interface `AuthScheme`
      Returns:
        the authentication realm

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.